/*
  Integer Constant Expressions: Lex rules
 */
%{
#include <stdio.h>
#include <string.h>

#include "parser.h"
%}
%%
[0-9]+                  yylval.n=atoi(yytext); return NUMBER;
\+			return PLUS;
-			return MINUS;
\*			return MUL;
\/			return DIV;
mod                     return MOD;
\(			return OPEN;
\)			return CLOSE;
[ \t\n]+                /* ignore whitespace */;
.			return TOKERR;
%%
