#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "types.h"


int main( void )
{
	expr e1 = expr_num( 87 );
	bexpr b1 = bexpr_truev();
	guard g1 = guard_pair( b1, e1 );
	expr e2 = expr_num( 35 );
	bexpr b2 = bexpr_falsev();
	guard g2 = guard_pair( b2, e2 );
	guardlist gl = guardlist_cons( g2,
		guardlist_cons( g1, guardlist_nil() ) );

	guardlist rev = reverse_guardlist(gl);
	free_guardlist_without_guard( gl );
	print_guardlist( stdout, rev );
	printf( "\n" );
	free_guardlist( rev );
	exit(0);
	return 0;
}
